gdk-sharp Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. GLib.Object The purpose of this class is to offer notification when displays appear or disappear or the default display changes. To be added
- Constructor
  Do not use.
  This object is a singleton object, and should be accessed through instead of creating a new instance.
- Constructor
  raw unmanaged pointer.
  Internal constructor.
  This constructor is internal and should not be used.
- Property
  GLib.Property("default-display")
  Gdk.Display Access and modify the default display. The default . None.
- Event
  GLib.Signal("display-opened")
  Gdk.DisplayOpenedHandler Event emitted when a display is opened. None.
- Method
  Gdk.DisplayManager Returns the global DisplayManager instance. The global instance. This is the only valid way to access this class.
- Property
  GLib.GType GType Property. a Returns the native value for .
- Method
  Gdk.Display[] List all currently open displays. The currently open displays as an array of . None.
- Method
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideAtomIntern", Type=typeof(Gdk.DisplayManager))
  Gdk.Atom `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideDisplayOpened", Type=typeof(Gdk.DisplayManager))
  System.Void `` a Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideGetAtomName", Type=typeof(Gdk.DisplayManager))
  System.String `` To be added. To be added. To be added. To be added.
- Method
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideGetDefaultDisplay", Type=typeof(Gdk.DisplayManager))
  Gdk.Display To be added. To be added. To be added.
- Method
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideGetKeyvalName", Type=typeof(Gdk.DisplayManager))
  System.String `` To be added. To be added. To be added. To be added.
- Method
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideKeyvalConvertCase", Type=typeof(Gdk.DisplayManager))
  System.Void `` `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideListDisplays", Type=typeof(Gdk.DisplayManager))
  GLib.SList To be added. To be added. To be added.
- Method
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideLookupKeyval", Type=typeof(Gdk.DisplayManager))
  System.UInt32 `` To be added. To be added. To be added. To be added.
- Method
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideOpenDisplay", Type=typeof(Gdk.DisplayManager))
  Gdk.Display `` To be added. To be added. To be added. To be added.
- Method
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideSetDefaultDisplay", Type=typeof(Gdk.DisplayManager))
  System.Void `` To be added. To be added. To be added.
- Method
  Gdk.Display `` To be added. To be added. To be added. To be added.